{% extends './BackView.twig' %}

{% block title %}{{ trans('back.app.dashboard_analytics') }}{% endblock %}

{% block panel %}

    <li class="sidebar-item">
        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
            <i data-feather="layout" class="feather-icon"></i>
            <span class="hide-menu">Dashboard</span>
        </a>
        <ul aria-expanded="false" class="collapse  first-level">
            <li class="sidebar-item">
                <a href="{{ path_for('back.sales') }}" class="sidebar-link">
                    <i class="mdi mdi-adjust"></i>
                    <span class="hide-menu"> Sales <span class="badge badge-pill badge-success">5</span></span>
                </a>
            </li>
            <li class="sidebar-item">
                <a href="{{ path_for('back.analytics') }}" class="sidebar-link">
                    <i class="mdi mdi-adjust"></i>
                    <span class="hide-menu"> Analytics </span>
                </a>
            </li>
        </ul>
    </li>

    <!-- panel-item : USER -->
    {{ include('/back/_partials/side-panels/panel-user.twig') }}

{% endblock %}

{% block content %}

    <!-- Bread crumb and right sidebar toggle -->
    <div class="page-breadcrumb">
        <div class="row">
            <div class="col-md-6 align-self-center">
                <div class="app-page-title">
                    <div class="page-title-wrapper">
                        <div class="page-title-heading">
                            <div class="page-title-icon">
                                <i class="pe-7s-graph1 icon-gradient bg-mean-fruit">
                                </i>
                            </div>
                            <div>Analytics Dashboard
                                <div class="page-title-subheading">This is an example dashboard created using build-in
                                    elements and components.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 align-self-center d-none d-md-block">
                <button class="btn float-right btn-success"><i class="mdi mdi-plus-circle"></i> Create</button>
                <div class="dropdown float-right mr-2 hidden-sm-down">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> January 2020 </button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton"> <a class="dropdown-item" href="#">February 2020</a> <a class="dropdown-item" href="#">March 2020</a> <a class="dropdown-item" href="#">April 2020</a> </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Container fluid  -->
    <div class="container-fluid">

        <!-- Vue components -->
        <div id="app"></div>

    </div>

{%  endblock %}


{% block scripts %}

    <!-- sparkline -->
    <script>

        $(document).ready(function() {
            var sparklineLogin = function() {

                $('#sparklinedash1').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#39c449'
                });
                $('#sparklinedash2').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#7460ee'
                });
                $('#sparklinedash3').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#009efb'
                });
                $('#sparklinedash4').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '30',
                    barWidth: '4',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#f62d51'
                });


            }

            var sparkResize;

            $(window).resize(function(e) {
                clearTimeout(sparkResize);
                sparkResize = setTimeout(sparklineLogin, 500);
            });
            sparklineLogin();

        });

    </script>

    <!-- chartist.js -->
    <script>
        /*
Template Name: Monster Admin
Author: Themedesigner
Email: niravjoshi87@gmail.com
File: js
*/
        $(function () {
            "use strict";
            // ==============================================================
            // Total revenue chart
            // ==============================================================
            new Chartist.Bar('.total-sales', {
                labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sept']
                , series: [
                    [800000, 1200000, 1400000, 1300000, 1200000, 1400000, 1300000, 1300000, 1200000]
                    , [200000, 400000, 500000, 300000, 400000, 500000, 300000, 300000, 400000]
                    , [100000, 200000, 400000, 600000, 200000, 400000, 600000, 600000, 200000]
                ]
            }, {
                high: 2500000
                , low: 500000
                , fullWidth: true
                , plugins: [
                    Chartist.plugins.tooltip()]
                , stackBars: true
                , axisX: {
                    showGrid: false
                }
                , axisY: {
                    labelInterpolationFnc: function (value) {
                        return (value / 1000) + 'k';
                    }
                }
            }).on('draw', function (data) {
                if (data.type === 'bar') {
                    data.element.attr({
                        style: 'stroke-width: 30px'
                    });
                }
            });
            // ==============================================================
            // sales difference
            // ==============================================================
            new Chartist.Pie('.ct-chart', {
                series: [25, 10]
            }, {
                donut: true
                , donutWidth: 20
                , startAngle: 0
                , showLabel: false
            });
            // ==============================================================
            // world map
            // ==============================================================
            jQuery('#visitfromworld').vectorMap({
                map: 'world_mill_en'
                , backgroundColor: '#fff'
                , borderColor: '#ccc'
                , borderOpacity: 0.9
                , borderWidth: 1
                , zoomOnScroll : false
                , color: '#ddd'
                , regionStyle: {
                    initial: {
                        fill: '#fff'
                    }
                }
                , markerStyle: {
                    initial: {
                        r: 8
                        , 'fill': '#55ce63'
                        , 'fill-opacity': 1
                        , 'stroke': '#000'
                        , 'stroke-width': 0
                        , 'stroke-opacity': 1
                    }
                    , }
                , enableZoom: true
                , hoverColor: '#79e580'
                , markers: [{
                    latLng: [21.00, 78.00]
                    , name: 'India : 9347'
                    , style: {fill: '#55ce63'}
                },
                    {
                        latLng : [-33.00, 151.00],
                        name : 'Australia : 250'
                        , style: {fill: '#02b0c3'}
                    },
                    {
                        latLng : [36.77, -119.41],
                        name : 'USA : 250'
                        , style: {fill: '#11a0f8'}
                    },
                    {
                        latLng : [55.37, -3.41],
                        name : 'UK   : 250'
                        , style: {fill: '#745af2'}
                    },
                    {
                        latLng : [25.20, 55.27],
                        name : 'UAE : 250'
                        , style: {fill: '#ffbc34'}
                    }]
                , hoverOpacity: null
                , normalizeFunction: 'linear'
                , scaleColors: ['#fff', '#ccc']
                , selectedColor: '#c9dfaf'
                , selectedRegions: []
                , showTooltip: true
                , onRegionClick: function (element, code, region) {
                    var message = 'You clicked "' + region + '" which has the code: ' + code.toUpperCase();
                    alert(message);
                }
            });
            $('#calendar').fullCalendar('option', 'height', 590);
            // ==============================================================
            // sparkline chart
            // ==============================================================
            var sparklineLogin = function() {
                $('#sparklinedash').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '50',
                    barWidth: '2',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#55ce63'
                });
                $('#sparklinedash2').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '50',
                    barWidth: '2',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#7460ee'
                });
                $('#sparklinedash3').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '50',
                    barWidth: '2',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#03a9f3'
                });
                $('#sparklinedash4').sparkline([ 0, 5, 6, 10, 9, 12, 4, 9], {
                    type: 'bar',
                    height: '50',
                    barWidth: '2',
                    resize: true,
                    barSpacing: '5',
                    barColor: '#f62d51'
                });


            }
            var sparkResize;

            $(window).resize(function(e) {
                clearTimeout(sparkResize);
                sparkResize = setTimeout(sparklineLogin, 500);
            });
            sparklineLogin();
        });
        // ==============================================================
        // Gauge chart option
        // ==============================================================
        var gaugeChart = echarts.init(document.getElementById('gauge-chart'));
        option = {
            tooltip: {
                formatter: "{a} <br/>{b} : {c}%"
            }
            , toolbox: {
                show: false
                , feature: {
                    mark: {
                        show: true
                    }
                    , restore: {
                        show: true
                    }
                    , saveAsImage: {
                        show: true
                    }
                }
            }
            , series: [
                {
                    name: 'sales'
                    , type: 'gauge'
                    , splitNumber: 0,
                    axisLine: {
                        lineStyle: {
                            color: [[0.2, '#785ff3'], [0.8, '#8c76f9'], [1, '#9e8bfe']]
                            , width: 20
                        }
                    }
                    , axisTick: {
                        splitNumber: 0,
                        length: 12,
                        lineStyle: {
                            color: 'auto'
                        }
                    }
                    , axisLabel: {
                        textStyle: {
                            color: 'rgba(255,255,255,0.025)'
                        }
                    }
                    , splitLine: {
                        show: false,
                        length: 50,
                        lineStyle: {
                            color: 'auto'
                        }
                    }
                    , pointer: {
                        width: 5
                        , color: '#54667a'
                    }
                    , title: {
                        show: false
                        , offsetCenter: [0, '-40%'],
                        textStyle: {
                            fontWeight: 'bolder'
                        }
                    }
                    , detail: {
                        textStyle: {
                            color: 'auto'
                            , fontSize: '14'
                            , fontWeight: 'bolder'
                        }
                    }
                    , data: [{
                        value: 50
                        , name: ''
                    }]
                }
            ]
        };
        timeTicket = setInterval(function () {
            option.series[0].data[0].value = (Math.random() * 100).toFixed(2) - 0;
            gaugeChart.setOption(option, true);
        }, 2000)
        // use configuration item and data specified to show chart
        gaugeChart.setOption(option, true), $(function () {
            function resize() {
                setTimeout(function () {
                    gaugeChart.resize()
                }, 100)
            }
            $(window).on("resize", resize), $(".sidebartoggler").on("click", resize)
        });
    </script>

{% endblock %}